﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000B/1000B-EDU (1 yr) ExtTrig VISA /9500
DATE:                  2018-09-07 15:36:50
AUTHOR:                Fluke
REVISION:              $Revision: 24923 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       199
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])
  1.002  MATH         @Cmd = "*RST;HEADER OFF"
  1.003  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.004  JMPL         END                          @Abort
  1.005  CALL         Sub Tek TBS1000B/1000B-EDU Select Channel VISA

  1.006  IF           @Chan == 1
  1.007  RSLT         =
  1.008  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.009  ENDIF

  1.010  RSLT         =
  1.011  RSLT         =Channel [V @Chan]

  1.012  IF           @Bandwidth == 30E+6
  1.013  MATH         FreqMHz = "30  MHz"
  1.014  ELSEIF       @Bandwidth == 50E+6
  1.015  MATH         FreqMHz = "50 MHz"
  1.016  ELSEIF       @Bandwidth == 70E+6
  1.017  MATH         FreqMHz = "70 MHz"
  1.018  ELSEIF       @Bandwidth == 100E+6
  1.019  MATH         FreqMHz = "100 MHz"
  1.020  ELSEIF       @Bandwidth == 150E+6
  1.021  MATH         FreqMHz = "150 MHz"
  1.022  ELSEIF       @Bandwidth == 200E+6
  1.023  MATH         FreqMHz = "200 MHz"
  1.024  ELSE
  1.025  DISP         @Bandwidth = [V @Bandwidth] is not supported!
  1.026  MATH         @Abort = 1
  1.027  JMPL         END                          @Abort
  1.028  ENDIF

  1.029  TARGET
  1.030  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.031  DISP         Connect the CH 1 Active Head to the input of a
  1.031  DISP         power splitter via a BNC(f) to SMA(m) adapter.
  1.031  DISP
  1.031  DISP         Connect one output of power splitter to DUT CH [V @Chan]
  1.031  DISP         via SMA(f) to SMA(f) and SMA(m) to BNC(f) adapters, a
  1.031  DISP         BNC(m)-(m) cable and a 50 Ω feed through terminator.
  1.031  DISP
  1.031  DISP         Connect the other output of the power splitter to DUT
  1.031  DISP         EXT TRIG via SMA(f) to SMA(f) and SMA(m) to BNC(f)
  1.031  DISP         adapters, a BNC(m)-(m) cable and a 50 Ω feed through
  1.031  DISP         terminator.

  1.032  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
  1.033  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.034  JMPL         END                          @Abort
  1.035  VISA         HOR:SCA 10E-9
  1.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.037  JMPL         END                          @Abort
  1.038  VISA         TRIG:MAI:MOD NORM
  1.039  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.040  JMPL         END                          @Abort
  1.041  VISA         TRIG:MAI:EDGE:SOU EXT
  1.042  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.043  JMPL         END                          @Abort
  1.044  VISA         ACQ:MOD SAMP;STATE ON
  1.045  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.046  JMPL         END                          @Abort
  1.047  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  1.048  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.049  JMPL         END                          @Abort

# First Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV, for the reason of using power splitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 800 mV.
  1.050  MATH         MEM = 400; MEM1 = 800

  1.051  DO
  1.052  MATH         MEM = MEM1 + (800 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.053  IF           MEM > 5560 || MEM < 4.44
  1.054  DISP         Calibrator limit reached and DUT measurement is
  1.054  DISP         not 400±8 mVpp.
  1.054  DISP
  1.054  DISP         Check connections and press Advance to try again.
  1.055  MATH         MEM = 800
  1.056  ENDIF

  1.057  9500         mVpp                         10MH           LS    S  L
  1.058  VISA         TRIG:MAI SETL
  1.059  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.060  JMPL         END                          @Abort
  1.061  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.062  MATH         MEM = MEM / 1E-3
  1.063  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of DUT is
# approximately 200 mVpp which is the required test signal for external
# trig sensitivity.
  1.064  MATH         MEM = MEM1 / 2

  1.065  IF           @Bandwidth == 30E+6
  1.066  9500         mVpp                         30MH           LS    S
  1.067  ELSEIF       @Bandwidth == 50E+6
  1.068  9500         mVpp                         50MH           LS    S
  1.069  ELSEIF       @Bandwidth == 70E+6
  1.070  9500         mVpp                         70MH           LS    S
  1.071  ELSEIF       @Bandwidth == 100E+6
  1.072  9500         mVpp                         100MH          LS    S
  1.073  ELSEIF       @Bandwidth == 150E+6
  1.074  9500         mVpp                         150MH          LS    S
  1.075  ELSEIF       @Bandwidth == 200E+6
  1.076  9500         mVpp                         200MH          LS    S
  1.077  ENDIF

  1.078  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.079  MATH         @PeakValue = mVppStd / 4 * 1E-3
  1.080  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  1.081  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.082  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 30E+6
  2.004  9500         mVpp                         30MH           LS    S
  2.005  ELSEIF       @Bandwidth == 50E+6
  2.006  9500         mVpp                         50MH           LS    S
  2.007  ELSEIF       @Bandwidth == 70E+6
  2.008  9500         mVpp                         70MH           LS    S
  2.009  ELSEIF       @Bandwidth == 100E+6
  2.010  9500         mVpp                         100MH          LS    S
  2.011  ELSEIF       @Bandwidth == 150E+6
  2.012  9500         mVpp                         150MH          LS    S
  2.013  ELSEIF       @Bandwidth == 200E+6
  2.014  9500         mVpp                         200MH          LS    S
  2.015  ENDIF

  2.016  VISA         TRIG:MAI:EDGE:SLO FALL
  2.017  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.018  JMPL         END                          @Abort
  2.019  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  2.020  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.021  EVAL   -e @Triggered : [V RsltStr]

  3.001  LABEL        END
  3.002  HEAD         -2
  3.003  HEAD
  3.004  9500         *                                                 S
  3.005  END
